## PlumaView

PlumaView

## Functions

GtkWidget * | pluma_view_new ()
void | pluma_view_cut_clipboard ()
void | pluma_view_copy_clipboard ()
void | pluma_view_paste_clipboard ()
void | pluma_view_delete_selection ()
void | pluma_view_select_all ()
void | pluma_view_scroll_to_cursor ()
void | pluma_view_set_font ()

## Signals

void | drop-uris | Action
gboolean | reset-searched-text | Action
gboolean | start-interactive-goto-line | Action
gboolean | start-interactive-search | Action

## Types and Values

| PlumaViewPrivate
struct | PlumaView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTextView
                        ╰── GtkSourceView
                            ╰── PlumaView

## Implemented Interfaces

PlumaView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### pluma_view_new ()

    GtkWidget *
    pluma_view_new (PlumaDocument *doc);

Creates a new PlumaView object displaying the `doc` document. `doc` cannot be `NULL`.

#### Parameters

doc | a PlumaDocument |

#### Returns

a new PlumaView

### pluma_view_cut_clipboard ()

    void
    pluma_view_cut_clipboard (PlumaView *view);

### pluma_view_copy_clipboard ()

    void
    pluma_view_copy_clipboard (PlumaView *view);

### pluma_view_paste_clipboard ()

    void
    pluma_view_paste_clipboard (PlumaView *view);

### pluma_view_delete_selection ()

    void
    pluma_view_delete_selection (PlumaView *view);

Deletes the text currently selected in the GtkTextBuffer associated to the view and scroll to the cursor position.

#### Parameters

view | a PlumaView |

### pluma_view_select_all ()

    void
    pluma_view_select_all (PlumaView *view);

Selects all the text displayed in the `view` .

#### Parameters

view | a PlumaView |

### pluma_view_scroll_to_cursor ()

    void
    pluma_view_scroll_to_cursor (PlumaView *view);

Scrolls the `view` to the cursor position.

#### Parameters

view | a PlumaView |

### pluma_view_set_font ()

    void
    pluma_view_set_font (PlumaView *view,
                         gboolean def,
                         const gchar *font_name);

If `def` is TRUE, resets the font of the `view` to the default font otherwise sets it to `font_name` .

#### Parameters

view | a PlumaView |
def | whether to reset the default font |
font_name | the name of the font to use |

## Types and Values

### PlumaViewPrivate

    typedef struct _PlumaViewPrivate PlumaViewPrivate;

### struct PlumaView

    struct PlumaView;

## Signal Details

### The `“drop-uris”` signal

    void
    user_function (PlumaView *plumaview,
                   GStrv      arg1,
                   gpointer   user_data)

Flags: Action

### The `“reset-searched-text”` signal

    gboolean
    user_function (PlumaView *plumaview,
                   gpointer   user_data)

Flags: Action

### The `“start-interactive-goto-line”` signal

    gboolean
    user_function (PlumaView *plumaview,
                   gpointer   user_data)

Flags: Action

### The `“start-interactive-search”` signal

    gboolean
    user_function (PlumaView *plumaview,
                   gpointer   user_data)

Flags: Action